osl::rating::PtypeAttacked Class Reference

`#include <escape.h>`

Inheritance diagram for osl::rating::PtypeAttacked:

## Public Member Functions

| PtypeAttacked (Ptype s, Ptype a)
bool | match (const NumEffectState &state, Move move, const RatingEnv &) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Private Attributes

Ptype | self
Ptype | attack

## Detailed Description

Definition at line 25 of file feature/escape.h.

## Constructor & Destructor Documentation

## PtypeAttacked()

osl::rating::PtypeAttacked::PtypeAttacked | ( | Ptype | s,
|  | Ptype | a )

inline

Definition at line 29 of file feature/escape.h.

References attack, osl::rating::Feature::Feature(), osl::Ptype_Table, and self.

## Member Function Documentation

## match()

bool osl::rating::PtypeAttacked::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 34 of file feature/escape.h.

References osl::alt(), attack, osl::NumEffectState::findCheapAttack(), osl::Move::from(), osl::Move::isDrop(), osl::Move::oldPtype(), osl::Move::player(), osl::Piece::ptype(), and self.

## Member Data Documentation

## attack

Ptype osl::rating::PtypeAttacked::attack

private

Definition at line 27 of file feature/escape.h.

Referenced by match(), and PtypeAttacked().

## self

Ptype osl::rating::PtypeAttacked::self

private

Definition at line 27 of file feature/escape.h.

Referenced by match(), and PtypeAttacked().

The documentation for this class was generated from the following file:

- feature/escape.h